<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./style.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;800&family=Kumbh+Sans:wght@300;400;500;600;700;800&family=Montserrat:wght@400;500;700&family=Rubik:ital,wght@0,300;0,400;0,500;0,700;1,300&display=swap"
      rel="stylesheet"
    />
    <script defer src="./js/script.js" type="module"></script>
    <title>Task Manager</title>
  </head>
  <body class="body">
    <header class="header">
      <div class="image-wrapper">
        <img class="image" src="./assets/logo-light.4fb0dd87.svg" />
      </div>
      <div class="board-title">
        <h1 class="title">Marketing Plan</h1>
        <div class="btns">
          <button class="add-task btn">+ Add New task</button>
          <div class="board-menu-and-edit-board">
            <button class="board-menu">
              <svg
                width="5"
                height="20"
                xmlns="http://www.w3.org/2000/svg"
                style="pointer-events: none"
              >
                <g fill="currentColor" fill-rule="evenodd">
                  <circle cx="2.308" cy="2.308" r="2.308"></circle>
                  <circle cx="2.308" cy="10" r="2.308"></circle>
                  <circle cx="2.308" cy="17.692" r="2.308"></circle>
                </g>
              </svg>
            </button>
            <div class="edit-board-and-overlay hidden">
              <div class="delete-overlay"></div>
              <div class="edit-board">
                <p class="edit-board-text">Edit Board</p>
                <p class="edit-board-text delete">Delete Board</p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- <h3 class="website-title">kanban</h3> -->
    </header>
    <main class="main">
      <section class="sidebar">
        <div class="upper">
          <p class="sidebar-title">All Boards (3)</p>
          <nav class="sidebar-nav">
            <div class="all-BOARD-names">
              <div class="select-board-wrapper">
                <div class="select-board active-board">
                  <span class="icon"
                    ><svg
                      width="16"
                      height="16"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path
                        d="M0 2.889A2.889 2.889 0 0 1 2.889 0H13.11A2.889 2.889 0 0 1 16 2.889V13.11A2.888 2.888 0 0 1 13.111 16H2.89A2.889 2.889 0 0 1 0 13.111V2.89Zm1.333 5.555v4.667c0 .859.697 1.556 1.556 1.556h6.889V8.444H1.333Zm8.445-1.333V1.333h-6.89A1.556 1.556 0 0 0 1.334 2.89V7.11h8.445Zm4.889-1.333H11.11v4.444h3.556V5.778Zm0 5.778H11.11v3.11h2a1.556 1.556 0 0 0 1.556-1.555v-1.555Zm0-7.112V2.89a1.555 1.555 0 0 0-1.556-1.556h-2v3.111h3.556Z"
                        fill="currentColor"
                      ></path>
                    </svg>
                  </span>
                  <div class="select-board-title">Marketing Plan</div>
                </div>
              </div>
              <div class="select-board-wrapper">
                <div class="select-board">
                  <span class="icon"
                    ><svg
                      width="16"
                      height="16"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path
                        d="M0 2.889A2.889 2.889 0 0 1 2.889 0H13.11A2.889 2.889 0 0 1 16 2.889V13.11A2.888 2.888 0 0 1 13.111 16H2.89A2.889 2.889 0 0 1 0 13.111V2.89Zm1.333 5.555v4.667c0 .859.697 1.556 1.556 1.556h6.889V8.444H1.333Zm8.445-1.333V1.333h-6.89A1.556 1.556 0 0 0 1.334 2.89V7.11h8.445Zm4.889-1.333H11.11v4.444h3.556V5.778Zm0 5.778H11.11v3.11h2a1.556 1.556 0 0 0 1.556-1.555v-1.555Zm0-7.112V2.89a1.555 1.555 0 0 0-1.556-1.556h-2v3.111h3.556Z"
                        fill="currentColor"
                      ></path>
                    </svg>
                  </span>
                  <div class="select-board-title">Platform Launch</div>
                </div>
              </div>
              <div class="select-board-wrapper">
                <div class="select-board">
                  <span class="icon"
                    ><svg
                      width="16"
                      height="16"
                      xmlns="http://www.w3.org/2000/svg"
                    >
                      <path
                        d="M0 2.889A2.889 2.889 0 0 1 2.889 0H13.11A2.889 2.889 0 0 1 16 2.889V13.11A2.888 2.888 0 0 1 13.111 16H2.89A2.889 2.889 0 0 1 0 13.111V2.89Zm1.333 5.555v4.667c0 .859.697 1.556 1.556 1.556h6.889V8.444H1.333Zm8.445-1.333V1.333h-6.89A1.556 1.556 0 0 0 1.334 2.89V7.11h8.445Zm4.889-1.333H11.11v4.444h3.556V5.778Zm0 5.778H11.11v3.11h2a1.556 1.556 0 0 0 1.556-1.555v-1.555Zm0-7.112V2.89a1.555 1.555 0 0 0-1.556-1.556h-2v3.111h3.556Z"
                        fill="currentColor"
                      ></path>
                    </svg>
                  </span>
                  <div class="select-board-title">Javascript Test</div>
                </div>
              </div>
            </div>
          </nav>
          <div class="creation">
            <div class="select-board-wrapper">
              <div class="select-board">
                <span class="icon"
                  ><svg
                    class="creation-icon"
                    width="16"
                    height="16"
                    xmlns="http://www.w3.org/2000/svg"
                  >
                    <path
                      d="M0 2.889A2.889 2.889 0 0 1 2.889 0H13.11A2.889 2.889 0 0 1 16 2.889V13.11A2.888 2.888 0 0 1 13.111 16H2.89A2.889 2.889 0 0 1 0 13.111V2.89Zm1.333 5.555v4.667c0 .859.697 1.556 1.556 1.556h6.889V8.444H1.333Zm8.445-1.333V1.333h-6.89A1.556 1.556 0 0 0 1.334 2.89V7.11h8.445Zm4.889-1.333H11.11v4.444h3.556V5.778Zm0 5.778H11.11v3.11h2a1.556 1.556 0 0 0 1.556-1.555v-1.555Zm0-7.112V2.89a1.555 1.555 0 0 0-1.556-1.556h-2v3.111h3.556Z"
                      fill="currentColor"
                    ></path>
                  </svg>
                </span>
                <div class="select-board-title creation-board-title">
                  +Create New Board
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="lower">
          <div class="darkmode"></div>
          <div class="settings">
            <span class="eye">
              <svg
                width="18"
                height="16"
                xmlns="http://www.w3.org/2000/svg"
                style="margin-right: 15px"
              >
                <path
                  d="M8.522 11.223a4.252 4.252 0 0 1-3.654-5.22l3.654 5.22ZM9 12.25A8.685 8.685 0 0 1 1.5 8a8.612 8.612 0 0 1 2.76-2.864l-.86-1.23A10.112 10.112 0 0 0 .208 7.238a1.5 1.5 0 0 0 0 1.524A10.187 10.187 0 0 0 9 13.75c.414 0 .828-.025 1.239-.074l-1-1.43A8.88 8.88 0 0 1 9 12.25Zm8.792-3.488a10.14 10.14 0 0 1-4.486 4.046l1.504 2.148a.375.375 0 0 1-.092.523l-.648.453a.375.375 0 0 1-.523-.092L3.19 1.044A.375.375 0 0 1 3.282.52L3.93.068a.375.375 0 0 1 .523.092l1.735 2.479A10.308 10.308 0 0 1 9 2.25c3.746 0 7.031 2 8.792 4.988a1.5 1.5 0 0 1 0 1.524ZM16.5 8a8.674 8.674 0 0 0-6.755-4.219A1.75 1.75 0 1 0 12.75 5v-.001a4.25 4.25 0 0 1-1.154 5.366l.834 1.192A8.641 8.641 0 0 0 16.5 8Z"
                  fill="currentColor"
                ></path>
              </svg>
            </span>
            <p>Hide Sidebar</p>
          </div>
        </div>
      </section>

      <section class="board">
        <div class="modal-window-task hidden">
          <div class="task-overlay"></div>
          <div class="modal">
            <div class="modal-title">
              <p class="add-new-col-title">Add New Task</p>
              <svg
                class="close-task"
                width="15"
                height="15"
                xmlns="http://www.w3.org/2000/svg"
              >
                <g fill="#828FA3" fill-rule="evenodd">
                  <path d="m12.728 0 2.122 2.122L2.122 14.85 0 12.728z"></path>
                  <path d="M0 2.122 2.122 0 14.85 12.728l-2.122 2.122z"></path>
                </g>
              </svg>
            </div>

            <div class="name">
              <p class="col-name">Title</p>
              <input
                type="text"
                placeholder=""
                id="task-name"
                class="add-task-name-input"
              />
            </div>
            <div class="Description">
              <p class="Description-title">Description</p>
              <textarea
                class="description-textarea"
                name=""
                id=""
                cols="40"
                rows="10"
              ></textarea>
            </div>
            <div>
              <p>Subtasks</p>
              <div id="subtasks-add-task" class="subtasks-add-task">
                <input type="text" class="subtasks-add-task-content" />
              </div>
            </div>
            <div class="add-columns"></div>
            <div class="add-btns">
              <button id="add-sub" class="create-btn white-btn">
                +Add New Subtask
              </button>
              <label for="status">Status</label>
              <div class="status-select-parent">
                <!-- <select  class="status-select" name="" id="">
                  <option value="to-do">To do</option>
                  <option value="done">Done</option>
                  <option value="doing">Doing</option>
                </select> -->
              </div>
              <button id="create-task" class="create-btn">Create Task</button>
            </div>
          </div>
        </div>

        <div id="edit-task-modal" class="modal-window-task hidden">
          <div class="task-overlay"></div>
          <div class="modal">
            <div class="modal-title">
              <p class="add-new-col-title">QA & test al major user journeys</p>
              <button class="board-menu">
                <svg
                  width="5"
                  height="20"
                  xmlns="http://www.w3.org/2000/svg"
                  style="pointer-events: none"
                >
                  <g fill="currentColor" fill-rule="evenodd">
                    <circle cx="2.308" cy="2.308" r="2.308"></circle>
                    <circle cx="2.308" cy="10" r="2.308"></circle>
                    <circle cx="2.308" cy="17.692" r="2.308"></circle>
                  </g>
                </svg>
              </button>
            </div>

            <div class="Description">
              <p class="Description-title">Description</p>
              <textarea
                class="description-textarea"
                name=""
                id=""
                cols="40"
                rows="10"
              ></textarea>
            </div>
            <div>
              <p>Subtasks</p>
              <div id="subtasks-add-task" class="subtasks-add-task">
                <input type="text" class="subtasks-add-task-content" />
              </div>
            </div>
            <div class="add-columns"></div>
            <div class="add-btns">
              <label for="status">Current Status</label>
              <div class="status-select-parent">
                <select class="status-select" name="" id="">
                  <option value="to-do">To do</option>
                  <option value="done">Done</option>
                  <option value="doing">Doing</option>
                </select>
              </div>
            </div>
          </div>
        </div>

        <div class="modal-window hidden">
          <div class="overlay"></div>
          <div class="modal">
            <div class="modal-title">
              <p class="add-new-col-title" id="col-modal-add-new-col-title">
                sdafsdf
              </p>
              <svg
                class="close-col"
                width="15"
                height="15"
                xmlns="http://www.w3.org/2000/svg"
              >
                <g fill="#828FA3" fill-rule="evenodd">
                  <path d="m12.728 0 2.122 2.122L2.122 14.85 0 12.728z"></path>
                  <path d="M0 2.122 2.122 0 14.85 12.728l-2.122 2.122z"></path>
                </g>
              </svg>
            </div>

            <div class="name">
              <p class="col-name">Name</p>
              <p class="Marketing-Plan">Marketing Plan</p>
            </div>
            <div class="add-columns">
              <p>Columns</p>
              <!-- <div id="columns-inputs-add-col">
                   <input type="text" placeholder="DONE" class="col-input" />
                <input type="text" placeholder="DONE" class="col-input" />
                <input type="text" placeholder="DONE" class="col-input" /> 
                </div> -->
              <div id="columns-inputs" class="columns-inputs"></div>
            </div>
            <div class="add-btns">
              <button class="create-btn white-btn add-new-col">
                +Add New Column
              </button>
              <button class="create-btn save-col">Save Changes</button>
            </div>
          </div>
        </div>
        <!-- Edit Board -->
        <!-- <div class="modal-window hidden">
          <div class="overlay"></div>
          <div class="modal">
            <div class="modal-title">
              <p class="add-new-col-title">Edit Board</p>
              <svg
                class="close-col"
                width="15"
                height="15"
                xmlns="http://www.w3.org/2000/svg"
              >
                <g fill="#828FA3" fill-rule="evenodd">
                  <path d="m12.728 0 2.122 2.122L2.122 14.85 0 12.728z"></path>
                  <path d="M0 2.122 2.122 0 14.85 12.728l-2.122 2.122z"></path>
                </g>
              </svg>
            </div>

            <div class="name">
              <p class="col-name">Name</p>
              <p class="Marketing-Plan">Marketing Plan</p>
            </div>
            <div class="add-columns">
              <p>Columns</p>
              <div id="columns-inputs-edit-board" class="columns-inputs">
               <input type="text" placeholder="DONE" class="col-input" />
                <input type="text" placeholder="DONE" class="col-input" />
                <input type="text" placeholder="DONE" class="col-input" />
              </div>
            </div>
            <div class="add-btns">
              <button class="create-btn white-btn add-new-col">
                +Add New Column
              </button>
              <button class="create-btn save-col">Save Changes</button>
            </div>
          </div>
        </div> -->

        <div class="columns">
          <!-- <div class="column">
            <div class="ballandtitle">
              <span class="title-ball"></span>
              <p class="column-title">To Do (3)</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
          </div>
          <div class="column">
            <div class="ballandtitle">
              <span class="title-ball title-ball2"></span>
              <p class="column-title">Doing (2)</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
          </div>
          <div class="column">
            <div class="ballandtitle">
              <span class="title-ball title-ball3"></span>
              <p class="column-title">Done (5)</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
            <div class="card">
              <p class="card-title">Get a haircut</p>
              <p class="card-count">1 of 3 subtasks</p>
            </div>
          </div> -->
        </div>
        <div class="create-new-column"><h1>+New Column</h1></div>
      </section>
    </main>
  </body>
</html>
